Subject: Re: More OpenEXR 2 to 3 migration

From: Andreas Enge <[email-masked]>
Date: Mon, 7 Apr 2025 13:49:11 +0200

Am Mon, Apr 07, 2025 at 11:45:18AM +0000 schrieb Vinicius Monego:
> Yes, it is documented in the porting guide:
> https://openexr.com/en/latest/PortingGuide.html
> > Thus, with the 2.4 release, the “IlmBase” libraries are no longer
> distributed in a form that is readily separable from the rest of OpenEXR.
> IlmBase had part of it moved into the 'imath' package and other remaining
> functionality was merged into the openexr tree.

Okay, I see! Then removing ilmbase will be a goal at the same time as
removing openexr@2. Right now ilmbase has 186 dependents (including
gnome), but this should go down with the openexr@2 to @3 migration,
or maybe even disappear.

Andreas